Bug 785160 - Changing recursive flag on a group disassociates it with roles
Changing recursive flag on a group disassociates it with roles
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.3
Unspecified Unspecified
medium Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-27 08:38 EST by Lukas Krejci
Modified: 2012-01-30 11:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2012-01-27 08:38:18 EST
Description of problem:
It is possible to change the recursive flag on a group. When one changes it, the group loses its association with roles.

Version-Release number of selected component (if applicable):
4.3.0-SNAPSHOT

How reproducible:
always

Steps to Reproduce:
1. Create a group, don't make it recursive
2. Create a role, associate the group with it
3. Edit the group and mark it as recursive
  
Actual results:
The group is no longer associated with the role

Expected results:
The group should still be associated with the role

Additional info:
Comment 1 Mike Foley 2012-01-30 11:43:08 EST
setting priority per 12/30/2012 BZ triage mfoley, ccrouch, loleary, asantos

Note You need to log in before you can comment on or make changes to this bug.